## Functions

Built-in or user-defined functions can be displayed by the plot and splot commands in addition to, or instead of, data read from a file. The requested function is evaluated by sampling at regular intervals spanning the independent axis range[s]. See set samples (p. ) and set isosamples (p. ). Example:

         approx(ang) = ang - ang**3 / (3*2)
         plot sin(x) title "sin(x)", approx(x) title "approximation"

To set a default plot style for functions, see set style function (p. ). For information on built-in functions, see expressions functions (p. ). For information on defining your own functions, see user-defined (p. ).